use crate::interpreter::parser::definitions::DataSource;

#[derive(Debug, Clone, PartialEq)]
pub enum Instruction {
    MOV {
        from: DataSource,
        to: DataSource,
    },
    //    FUN {
    //        name: String,
    //        args: Vec<String>,
    //        body: Vec<Instruction>,
    //    },
    CALL {
        name: String,
    },
    //    IF {
    //        lhs: Registers,
    //        op: TestOP,
    //        rhs: Registers,
    //    },
    MARK {
        name: String,
    },
    JUMP {
        mark: String,
    },
    /// LDR DR1 3
    LDR {
        dest: DataSource,
        source: usize,
    },
    /// STR DR1 4
    STR {
        source: DataSource,
        dest: usize,
    },
}
