use crate::cpu::model::CPU;
use crate::interpreter::parser::*;
use crate::msl_result::MSLResult;

pub fn execute(code: String, cpu: &mut CPU) -> MSLResult<String> {
    debug!("Parsing code");
    let instructions = parse_code(code)?;
    info!("Program syntax correct");
    cpu.store_instructions(instructions)?;
    Ok(String::from("Parsed"))
}
