use failure::Error;

pub type MSLResult<T> = Result<T, Error>;

#[derive(Debug, Fail)]
pub enum MSLError {
    #[fail(display = "Wrong syntax: {}", desc)]
    InterpreterError { desc: String },
    #[fail(display = "Unknown error. Cause: {}", desc)]
    OtherError { desc: String },
    #[fail(display = "Memory error. {}", _0)]
    MemoryError(String),
}
